module clk_1ms
(
	input        clk,
	input 		 rst_n,
	output       clk_1ms

);
	//generate clk_1000hz clock
	reg					clk_1000hz;
	reg		[15:0]		cnt_1000hz;
	always@(posedge clk or negedge rst_n) begin
		if(!rst_n) begin
			cnt_1000hz <= 16'h0;
			clk_1000hz <= 1'b1;
		end else if(cnt_1000hz >= 16'd 6000) begin
			cnt_1000hz <= 16'h0;
			clk_1000hz <= ~clk_1000hz;
		end else begin
			cnt_1000hz <= cnt_1000hz + 1'b1;
		end
	end
	assign clk_1ms=clk_1000hz;
	
	
endmodule