module signal_led
(
	input        clk,
	input 		 rst_n,
	output       led

);
	//generate clk_4hz clock
	reg					clk_4hz;
	reg		[23:0]		cnt_4hz;
	always@(posedge clk or negedge rst_n) begin
		if(!rst_n) begin
			cnt_4hz <= 24'h0;
			clk_4hz <= 1'b1;
		end else if(cnt_4hz >= 24'd 1500000) begin
			cnt_4hz <= 24'h0;
			clk_4hz <= ~clk_4hz;
		end else begin
			cnt_4hz <= cnt_4hz + 1'b1;
		end
	end
	assign led=clk_4hz;
	
	
endmodule
